<template>
    <footer class="footer md-layout md-alignment-top-center  mt-2 " :class="{ [`footer-${type}`]: type }" :data-background-color="backgroundColor">
        <!-- <nav>
        <ul>
          <li>
            <a href="https://www.creative-tim.com">
              Creative Tim
            </a>
          </li>
          <li>
            <a href="https:///presentation.creative-tim.com">
              About Us
            </a>
          </li>
          <li>
            <a href="https:///blog.creative-tim.com">
              Blog
            </a>
          </li>
          <li>
            <a href="https://www.creative-tim.com/license">
              Licenses
            </a>
          </li>
        </ul>
      </nav> -->
        <div class="md-layout-item md-xlarge-size-60 md-large-size-60 md-medium-size-90 md-small-size-95 ">
            <div class="md-layout">
                <div class="md-layout-item ">
                    <div class="copyright my-1">
                        <p class="no-margin">ParaLideres.org &copy; 1999 - {{ year }}</p>
                        <p class="no-margin">
                            <a class="link-footer" href="https://paralideres.org/app/terms">Términos</a> |
                            <a class="link-footer" href="https://paralideres.org/app/notice">Privacidad</a> | Todos los derechos reservados
                        </p>
                    </div>
                </div>
                <div class=" md-layout-item">
                    <md-list class="md-list-redes ">
                        <md-list-item class="list-social">
                            <md-button href="https://twitter.com/paralideres" target="_blank" class="md-icon-button md-raised md-primary">
                                <i class="fab fa-twitter "></i>
                            </md-button>
                        </md-list-item>
                        <md-list-item class="list-social">
                            <md-button href="https://www.facebook.com/paralideres" target="_blank" class="md-icon-button md-raised md-primary">
                                <i class="fab fa-facebook-f"></i>
                            </md-button>
                        </md-list-item>
                        <md-list-item class="list-social">
                            <md-button href="https://www.instagram.com/paralideresblog" target="_blank" class="md-icon-button md-raised md-primary">
                                <i class="fab fa-instagram"></i>
                            </md-button>
                        </md-list-item>
                        <md-list-item class="list-social">
                            <md-button href="https://www.youtube.com/paralideres" target="_blank" class="md-icon-button md-raised md-primary">
                                <i class="fab fa-youtube"></i>
                            </md-button>
                        </md-list-item>
                    </md-list>
                </div>
            </div>
        </div>
    </footer>
</template>

<script>
export default {
    props: {
        backgroundColor: String,
        type: String
    },
    data() {
        return {
            year: new Date().getFullYear()
        };
    }
};
</script>

<style lang="scss">
.md-list-redes {
    flex-flow: inherit !important;
    float: right;
}

.md-list-redes.md-theme-default {
    background-color: transparent !important;
}

.list-social {
    .md-list-item-content {
        padding: 0px;
    }
    .md-icon-button {
        margin-right: 0px;
    }
}
</style>
